#include <QApplication>
#include <QIcon>
#include <QQmlApplicationEngine>
#include <QQmlContext>

#include "releve.h"

int main(int argc, char *argv[])
{
    QApplication::setApplicationName("MonApplicationBDMySQLCharts");
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication app(argc, argv);

    QIcon::setThemeName("MonApplicationBDCharts");

    QQmlApplicationEngine engine;
    engine.rootContext()->setContextProperty("Releve", new Releve());
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}
