#include "mesure.h"

Mesure::Mesure(QDateTime horodatage, double temperature, QObject *parent) : QObject(parent), horodatage(horodatage), temperature(temperature)
{
}

double Mesure::getTemperature() const
{
    return temperature;
}

QString Mesure::getHorodatage() const
{
    return horodatage.toString("Le dd/MM/yyyy à hh:mm");
}

QDateTime Mesure::getDateTime() const
{
    //qDebug() << Q_FUNC_INFO << horodatage.toTimeSpec(Qt::TimeZone);
    return horodatage;
}
